﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.lineUpButton.Click    += lineUpButton_Click;
            this.lineDownButton.Click  += lineDownButton_Click;
            this.lineLeftButton.Click  += lineLeftButton_Click;
            this.lineRightButton.Click += lineRightButton_Click;
            this.pageUpButton.Click    += pageUpButton_Click;
            this.pageDownButton.Click  += pageDownButton_Click;
            this.pageLeftButton.Click  += pageLeftButton_Click;
            this.pageRightButton.Click += pageRightButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Line Up 버튼 클릭시 처리하기 - lineUpButton_Click(sender, e)

        /// <summary>
        /// Line Up 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void lineUpButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.LineUp();
        }

        #endregion
        #region Line Down 버튼 클릭시 처리하기 - lineDownButton_Click(sender, e)

        /// <summary>
        /// Line Down 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void lineDownButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.LineDown();
        }

        #endregion
        #region Line Left 버튼 클릭시 처리하기 - lineLeftButton_Click(sender, e)

        /// <summary>
        /// Line Left 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void lineLeftButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.LineLeft();
        }

        #endregion
        #region Line Right 버튼 클릭시 처리하기 - lineRightButton_Click(sender, e)

        /// <summary>
        /// Line Right 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void lineRightButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.LineRight();
        }

        #endregion
        #region Page Up 버튼 클릭시 처리하기 - pageUpButton_Click(sender, e)

        /// <summary>
        /// Page Up 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pageUpButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.PageUp();
        }

        #endregion
        #region Page Down 버튼 클릭시 처리하기 - pageDownButton_Click(sender, e)

        /// <summary>
        /// Page Down 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pageDownButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.PageDown();
        }

        #endregion
        #region Page Left 버튼 클릭시 처리하기 - pageLeftButton_Click(sender, e)

        /// <summary>
        /// Page Left 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pageLeftButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.PageLeft();
        }

        #endregion
        #region Page Right 버튼 클릭시 처리하기 - pageRightButton_Click(sender, e)

        /// <summary>
        /// Page Right 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pageRightButton_Click(object sender, RoutedEventArgs e)
        {
            this.scrollViewer.PageRight();
        }

        #endregion
    }
}